# Oro\Bundle\CatalogBundle\Entity\Category

## ACTIONS

### get

Retrieve a specific category record.

{@inheritdoc}

### get_list

Retrieve a collection of category records.

{@inheritdoc}

## SUBRESOURCES

### backOrder

#### get_subresource

Retrieve the service records that store category backorder data.

#### get_relationship

Retrieve the IDs of the service records that store category backorder data.

### childCategories

#### get_subresource

Retrieve the child category records assigned to a specific category record.

#### get_relationship

Retrieve the IDs of the child category records assigned to a specific category record.

### decrementQuantity

#### get_subresource

Retrieve the service records that store category decrement quantity data.

#### get_relationship

Retrieve the IDs of the service records that store category decrement quantity data.

### inventoryThreshold

#### get_subresource

Retrieve the service records that store category inventory threshold data.

#### get_relationship

Retrieve the IDs of the service records that store category inventory threshold data.

### isUpcoming

#### get_subresource

Retrieve the service records that store the information on whether the products of the category will be available later.

#### get_relationship

Retrieve the IDs of the service records that store the information on whether the products of the category will be available later.

### largeImage

#### get_subresource

Retrieve the large image record assigned to a specific category record.

#### get_relationship

Retrieve the ID of the large image record assigned to a specific category record.

### longDescriptions

#### get_subresource

Retrieve the service records that store a localized description of a particular category.

#### get_relationship

Retrieve the IDs of the service records that store a localized description of a particular category.

### manageInventory

#### get_subresource

Retrieve the service records that store category manage inventory data.

#### get_relationship

Retrieve the IDs of the service records that store category manage inventory data.

### maximumQuantityToOrder

#### get_subresource

Retrieve the service records that store category maximum quantity to order data.

#### get_relationship

Retrieve the IDs of the service records that store category maximum quantity to order data.

### metaDescriptions

#### get_subresource

Retrieve the service records that store category meta description localized data.

#### get_relationship

Retrieve the IDs of the service records that store category meta description localized data.

### metaKeywords

#### get_subresource

Retrieve the service records that store category meta keywords localized data.

#### get_relationship

Retrieve the IDs of the service records that store the category meta keywords localized data.

### metaTitles

#### get_subresource

Retrieve the service records that store category meta title localized data.

#### get_relationship

Retrieve the IDs of the service records that store category meta title localized data.

### minimumQuantityToOrder

#### get_subresource

Retrieve the service records that store category minimum quantity to order data.

#### get_relationship

Retrieve the IDs of the service records that store category minimum quantity to order data.

### shortDescriptions

#### get_subresource

Retrieve the service records that store category short description data.

#### get_relationship

Retrieve the IDs of the service records that store category short description data.

### slugPrototypes

#### get_subresource

Retrieve the service records that store category slug prototypes data.

#### get_relationship

Retrieve the IDs of the service records that store category slug prototypes data.

### titles

#### get_subresource

Retrieve the service records that store category titles data.

#### get_relationship

Retrieve the IDs of the service records that store category titles data.

### products

#### get_subresource

Retrieve the records of the product assigned to a specific category record.

#### get_relationship

Retrieve the IDs of the product records assigned to a specific category record.

### smallImage

#### get_subresource

Retrieve the record of the small image assigned to a specific category record.

#### get_relationship

Retrieve the ID of the small image record assigned to a specific category record.

### parentCategory

#### get_subresource

Retrieve the parent category records assigned to a specific category record.

#### get_relationship

Retrieve the IDs of the patent category records assigned to a specific category record.

### highlightLowInventory

#### get_subresource

Retrieve the service records that store category highlight low inventory data.

#### get_relationship

Retrieve the IDs of the service records that store category highlight low inventory data.

### lowInventoryThreshold

#### get_subresource

Retrieve the service records that store category low inventory threshold data.

#### get_relationship

Retrieve the IDs of the service records that store category low inventory threshold data.
